package com.bizzan.bitrade.vo;

import java.math.BigDecimal;

import com.bizzan.bitrade.constant.TransactionType;

import lombok.Data;

@Data
public class MemberTransactionStat {

	public MemberTransactionStat(TransactionType type, BigDecimal amount) {
		this.type = type;
		this.amount = amount;
	}
	public MemberTransactionStat(Long memberId, TransactionType type, BigDecimal amount) {
		this.memberId = memberId;
		this.type = type;
		this.amount = amount;
	}
	private TransactionType type;
	private BigDecimal amount;
	private Long memberId;
	
	public String getName() {
		return this.type.getCnName();
	}
}
